Bug 114940 - RHEL 3.0 default QLogic driver v6.06.00b11 spews sg_low_free and QUEUE FULL messages at load time.
RHEL 3.0 default QLogic driver v6.06.00b11 spews sg_low_free and QUEUE FULL m...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 13:27 EST by Heather Conway
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heather Conway 2004-02-04 13:27:25 EST
Description of problem:
The default QLogic v6.06.00b11 driver in RHEL 3.0 spews sg_low_free 
and QUEUE_FULL messages when loading both at boot time and via 
modprobe/insmod.  
For example:
Jan  7 13:36:36 l82bi233 kernel: sg_low_free: bad mem_src=0, 
buff=0xf2c78000, rqSz=32768
Jan  7 13:36:36 l82bi233 kernel: sg_low_free: bad mem_src=0, 
buff=0xf2c70000, rqSz=32768
Jan  7 13:36:40 l82bi233 kernel: scsi(0:1:12): QUEUE FULL status 
detected 0x1c-0x828, pid=703010.
Jan  7 13:36:40 l82bi233 kernel: scsi(0:1:12): QUEUE FULL status 
detected 0x1c-0x828, pid=703012.

It will also report resize_dma_pool warnings when loading. 
For example:
Jan  7 15:59:57 l82bi233 kernel: scsi::resize_dma_pool: WARNING, 
dma_sectors=48, wanted=44096, scaling
Jan  7 15:59:57 l82bi233 rpc.statd[8564]: Version 1.0.5 Starting
Jan  7 15:59:57 l82bi233 kernel: scsi::resize_dma_pool: WARNING, 
dma_sectors=48, wanted=33072, scaling
Jan  7 15:59:57 l82bi233 kernel: scsi::resize_dma_pool: WARNING, 
dma_sectors=48, wanted=24816, scaling

This occurs on both 32-bit and 64-bit Intel platforms.
Request that the v6.07.00 driver be used instead as it resolves 
theses issues.


Version-Release number of selected component (if applicable):
QLogic v6.06.00b11 driver in kernel-source-2.4.21-4.0.1.EL, kernel-
source-2.4.21-9.EL


How reproducible:
Every time


Steps to Reproduce:
Load the driver when attached to a SAN.  

  
Actual results:
Driver spews messages at load time. 

Expected results:Messages such as these should not be reported at 
load time. 


Additional info:
Comment 1 Tom Coughlan 2004-02-13 10:56:54 EST
We are planning to update the Qlofic driver in U2/U4.  We will need
you to test the beta version of this release to confirm the fix.
Comment 2 Gunther Schadow 2004-02-16 11:31:51 EST
Where can we get the new driver v6.07.00 driver? We have the same
problem and would appreciate a quick fix. We are connecting to 
EMC Symmetrix through McData 24 port switch and we get lots of those
queue full warnings and a very strange, bursty, and overall poor
I/O performance. Vmstat 1 bo shows 0 at every other second and not 
more than 4000 ever, we can hardly read over 12 MB/s at all. There
are no errors in the switch log.
Comment 4 Ernie Petrides 2004-03-05 15:48:43 EST
This problem was fixed with the upgrade of the QLogic driver to
version 6.07.10 in RHEL3 U2 in kernel version 2.4.21-9.14.EL.
Comment 5 Tom Coughlan 2004-03-05 16:49:11 EST
That should be 6.07.02-RH1 (6.07.02, plus some RH extensions).
Comment 6 John Flanagan 2004-05-11 21:08:28 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.